#!/bin/bash

echo "/*" >nimbi.h
echo "	Coordinate information for nimbi.xpm:" >>nimbi.h
echo "*/" >>nimbi.h
echo " " >>nimbi.h
echo "#define NIMBI_width 400" >>nimbi.h
echo "#define NIMBI_height 400" >>nimbi.h
echo " " >>nimbi.h
echo "#define NIMBI_radius 6" >>nimbi.h
echo " " >>nimbi.h
./nimbi.pl >nimbi.png 2>>nimbi.h
convert -resize 25%x25% -colors 256 nimbi.png nimbi.ppm
ppmtobmp <nimbi.ppm >nimbi.bmp
ppmtoxpm <nimbi.ppm | sed -e 's/noname/nimbi_xpm/' >nimbi.xpm
rm -f nimbi.png nimbi.ppm

